html {
    width: 100%;
    min-width: 0;
    padding: 0;
    margin: 0;
    line-height: 1.5;
}

body {
    width: 100%;
    min-width: 0;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

main {
    width: 100%;
    min-width: 0;
    padding: 0;
    margin: 0;
}

/* firstエリア */
.fst {
    width: 100%;
    min-width: 0;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.fst__back {
    position: absolute;
    width: 100%;
    height: 120%;
    object-fit: cover;
    object-position: 85% 30%;
    min-width: 0;
    top: 0;
    left: 0;
    z-index: -1;
    will-change: transform;
}

.fst__r-logo {
    width: 100%;
    box-sizing: border-box;
    padding: 3rem;
    display: flex;
    flex-direction: row-reverse;
}

@media screen and (max-width: 767px) {
    .fst__r-logo {
        padding: 3rem 0;
        width: fit-content;
        margin: 0 auto;
    }
}

.fst__r-logo__txt {
    font-size: 0.875rem;
    position: relative;
    line-height: 0.25;
}

.fst__f-logo__txt__white {
    color: white;
    font-size: 1rem;
}

.fst__f-logo__txt__white--num {
    color: rgb(71, 71, 71);
    font-size: 4rem;
    text-shadow: 0 0 3px rgb(255, 255, 255), 0 0 3px rgb(255, 255, 255), 0 0 3px rgb(255, 255, 255);
}

.fst__r-logo__txt__back {
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: -10px;
    left: 0;
    background-color: rgb(164, 66, 255);
    border-radius: 50px;
    z-index: -1;
}

.fst__ttls {
    display: grid;
    width: fit-content;
    grid-template-columns: 1fr;
    justify-items: center;
    margin-left: 180px;
}

@media screen and (max-width: 767px) {
    .fst__ttls {
        display: grid;
        width: fit-content;
        grid-template-columns: 1fr;
        justify-items: center;
        margin: 1em auto;
    }
}

.fst__ttls__ttl {
    font-size: 2.6rem;
    font-weight: normal;
    text-align: start;
    background: linear-gradient(45deg, #4a4aff 0%, #ff4af0 50%, #ff4040 100%);
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}

@media screen and (max-width: 767px) {
    .fst__ttls__ttl {
        font-size: 2rem;
    }
}

.fst__ttls__text {
    font-size: 1.2rem;
    margin: 0 auto;
}

.fst__ttls__logo {
    width: 150px;
}

.fst__contacts {
    display: flex;
    flex-direction: row-reverse;
}

.fst__contacts__btn {
    color: white;
    width: fit-content;
    box-sizing: border-box;
    margin: 2rem 210px 2rem 0;
    font-size: 1.5rem;
    text-decoration: none;
    background-color: rgb(65, 65, 65);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    padding: 1rem;
    border-radius: 1rem;
    transition: 0.2s;
}

.fst__contacts__btn:hover {
    opacity: 0.9;
}

@media screen and (max-width: 767px) {
    .fst__contacts__btn {
        margin: 2rem auto;
        font-size: 1.5rem;
        text-decoration: none;
        background-color: rgb(65, 65, 65);
        padding: 1rem;
        border-radius: 1rem;
    }
}

.fst__questions {
    display: grid;
    grid-template-columns: 1fr;
    justify-items: start;
    text-align: start;
}

.fst__questions__ttl {
    font-size: 1.8rem;
    font-weight: normal;
    margin-left: 5vw;
}

@media screen and (max-width: 767px) {
    .fst__questions__ttl {
        font-size: 1.5rem;
        padding: 0 0.5em;
        box-sizing: border-box;
        margin: 1em auto;
    }
}

.fst__questions__lists {
    list-style: none;
    margin-bottom: 100px;
    margin-left: 5vw;
}

@media screen and (max-width: 767px) {
    .fst__questions__lists {
        margin: 1em auto;
        padding: 0;
    }
}

.fst__questions__lists li {
    position: relative;
    padding-left: 50px;
    margin: 2em 0;
}

.fst__questions__lists li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 43px;
    height: 43px;
    background-image: url('./img/check.svg');
}

.fst__questions__sec-text {
    font-size: 1.5rem;
    color: white;
    background-color: rgb(65, 65, 65);
    padding: 0.25em 1em;
    margin: 0 auto;
}

.fst__questions__thd-text {
    font-size: 1.9rem;
    color: white;
    background-color: rgb(65, 65, 65);
    padding: 0.25em 1em;
    margin: 0.5em auto 2em auto;
    box-sizing: border-box;
}

@media screen and (max-width: 767px) {
    .fst__questions__sec-text {
        font-size: 1rem;
    }

    .fst__questions__thd-text {
        font-size: 1.2rem;
        width: 95%;
        padding: 0.25em 0.5em;
    }
}


/* firstエリアここまで */

/* secondエリア */
.sec {
    width: 100%;
    min-width: 0;
    margin-bottom: 100px;
}

.sec__sub {
    font-size: 1rem;
    text-align: center;
    margin-top: 3em;
}

.sec__ttl {
    font-size: 2rem;
    color: rgb(104, 0, 0);
    text-align: center;
}

.sec__ttl br {
    display: none;
}

@media screen and (max-width: 767px) {
    .sec__ttl br {
        display: block;
    }
}

.sec__exp {
    width: 100%;
    box-sizing: border-box;
    padding: 5vw;
    display: grid;
    justify-items: center;
    grid-template-columns: repeat(3, 1fr);
    gap: 5vw;
}

@media screen and (max-width: 767px) {
    .sec__exp {
        width: 100%;
        box-sizing: border-box;
        padding: 5vw;
        display: grid;
        justify-items: center;
        grid-template-columns: 1fr;
        gap: 50px;
    }
}

.sec__exp__box {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.sec__exp__box--ttl {
    font-size: 1rem;
    margin: 0;
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    font-weight: normal;
    text-align: center;
    background-color: lightgray;
}

.sec__exp--sentence {
    font-size: 0.875rem;
    box-sizing: border-box;
    padding: 0.5em;
    min-height: 10rem;
}

@media screen and (max-width: 767px) {
    .sec__exp__box--ttl {
        font-size: 1.2rem;
    }

    .sec__exp--sentence {
        font-size: 1rem;
    }
}

.sec__elearning {
    font-size: 9rem;
    margin: 0;
    text-align: center;
    position: relative;
    color: rgba(0, 0, 0, 0.1);
    font-weight: normal;
    line-height: 1;
}

.sec__elearning--txt {
    position: absolute;
    width: 100%;
    margin: 0;
    top: 60%;
    transform: translateY(-60%);
    left: 0;
    font-size: 1.5rem;
    color: black;
    text-align: center;
}

@media screen and (max-width: 767px) {
    .sec__elearning {
        margin: 0 auto;
        font-size: 5rem;
    }

    .sec__elearning--txt {
        font-size: 1.1rem;
    }
}

.sec__plans {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-items: center;
    width: fit-content;
    margin: 0 auto;
}

@media screen and (max-width: 767px) {
    .sec__plans {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .sec__plans__course {
        margin: 50px 0;
    }
}


.sec__plans__course {
    position: relative;
    border: 1px solid black;
    border-radius: 50%;
    aspect-ratio: 1/1;
    box-sizing: border-box;
    padding: 2.5em;
    display: grid;
    grid-template-columns: auto;
    align-items: center;
}

.sec__plans__course--time {
    font-size: 1.2rem;
    text-align: center;
    line-height: 1;
    margin: 0;
}

.sec__plans__course--num {
    font-size: 7rem;
    font-weight: bold;
    text-align: center;
    margin: 0;
    line-height: 1;
}

.sec__plans__course--ball {
    position: absolute;
    width: 30px;
    z-index: 4;
    animation:
        moveY 4s ease-in-out infinite,
        moveX 4s ease-in-out infinite;
    animation-delay: -1s, 0s;
}

.sec__plans__course--pc {
    position: absolute;
    width: 250px;
    left: -80px;
    bottom: -50px;
    z-index: 5;
}

.sec__plans__list {
    list-style: none;
    padding: 0;
}

.sec__plans__list li {
    box-sizing: border-box;
    position: relative;
    padding-left: 35px;
    margin: 1em 0;
    border-bottom: 1px solid black;
    line-height: 3;
    font-size: 0.875rem;
    letter-spacing: 0.1em;
}

li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 27px;
    height: 31px;
    background-image: url('./img/list-logo.svg');
}

@media screen and (max-width: 767px) {

    .sec__plans__list li {
        padding-left: 30px;
        letter-spacing: 0;
    }

    li::before {
        scale: 0.7;
    }
}


/* secondエリアここまで */

/* thirdエリア */
.thd {
    width: 100%;
    min-width: 0;
    position: relative;
    padding-bottom: 100px;
    overflow: hidden;
    z-index: 1;
}

.thd__back {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-width: 0;
    height: 100%;
    object-fit: cover;
    object-position: 70% 50%;
    z-index: -1;
    will-change: transform;
}

.thd__info {
    width: 90vw;
    max-width: 800px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    align-items: end;
    box-sizing: border-box;
    padding: 2rem;
    margin: 0 auto;
    z-index: 5;
}

.thd__info__name {
    font-size: 2.4rem;
    font-weight: normal;
    text-align: end;
}

.thd__info__name--detail {
    font-size: 0.875rem;
    text-align: start;
}

.thd__info--man {
    width: 300px;
}

@media screen and (max-width: 767px) {
    .thd__info {
        width: 100%;
        padding: 1em;
        padding-right: 0;
        margin: 0 auto;
        align-items: center;
        justify-content: space-between;
    }

    .thd__info__name {
        font-size: 1.5rem;
        font-weight: normal;
        text-align: center;
    }

    .thd__info__name--detail {
        font-size: 0.875rem;
        text-align: start;
    }

    .thd__info--man {
        width: 150px;
    }
}

.thd__voice {
    display: grid;
    gap: 30px;
    margin-bottom: 100px;
}

.thd__voice__ttl {
    font-weight: normal;
    font-size: 2rem;
    text-align: center;
}

.thd__voice__box {
    width: 760px;
    height: 180px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    gap: 1em;
    justify-items: center;
    align-items: center;
    background-color: white;
    box-sizing: border-box;
    padding: 0 1em;
    margin: 0 auto;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.thd__voice__box--icons {
    width: 120px;
    height: auto;
    object-fit: cover;
    object-position: 0 0;
    aspect-ratio: 1/1;
    border-radius: 50%;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.thd__voice__box--sentence {
    font-size: 0.875rem;
}

.thd__voice__box--sentence span {
    display: block;
    width: 100%;
    margin: 1em 0 0 0;
    text-align: end;
}

@media screen and (max-width: 767px) {
    .thd__voice__box {
        width: 100%;
        height: auto;
        display: grid;
        grid-template-rows: 1fr;
        gap: 1em;
    }

    .thd__voice__box--icons {
        width: 70px;
    }
}

.thd__graph {
    width: 100%;
    min-width: 0;
    position: relative;
    margin-bottom: 100px;
}

.thd__graph__top {
    font-size: 2rem;
    text-align: center;
    line-height: 1;
}

.thd__graph__top--num {
    display: block;
    font-size: 7rem;
    text-align: center;
    line-height: 1;
}

.thd__graph__top--txt {
    font-size: 1rem;
}

.thd__graph__image {
    display: block;
    width: 700px;
    margin: 0 auto;
}

.thd__graph--attention {
    position: absolute;
    bottom: -4em;
    right: 10vw;
    margin: 0;
    font-size: 0.75rem;
}

@media screen and (max-width: 767px) {
    .thd__graph__top {
        font-size: 1.5rem;
    }

    .thd__graph__top--num {
        font-size: 4rem;
    }

    .thd__graph__top--txt {
        font-size: 0.75rem;
    }

    .thd__graph__image {
        display: block;
        width: 95%;
        margin: 0 auto;
    }
}

.thd__present {
    font-size: 2rem;
    font-weight: normal;
    width: fit-content;
    margin: 1em auto;
    padding: 0 0.5em;
    box-sizing: border-box;
}

.thd__present span {
    width: fit-content;
    display: block;
    margin: 0 auto;
    font-weight: bold;
    color: white;
    background-color: rgb(62, 62, 62);
    padding: 0 1.5em;
    box-sizing: border-box;
}

@media screen and (max-width: 767px) {
    .thd__present {
        font-size: 1.5rem;
    }

    .thd__present span {
        padding: 0 1em;
        margin: 2em auto;
    }
}

.thd__details {
    width: fit-content;
    margin: 3em auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr);
    justify-items: start;
    align-items: center;
}

.thd__details p {
    width: 100%;
    text-align: start;
    font-size: 2rem;
    border-bottom: 1px solid black;
    margin: 0.5em;
}

.thd__details p span {
    text-align: start;
    text-decoration: none;
    font-size: 1rem;
    margin-bottom: 1em;
}

@media screen and (max-width: 767px) {
    .thd__details p {
        width: 95%;
        text-align: start;
        font-size: 1.2rem;
        box-sizing: border-box;
        padding: 0 1em;
        border-bottom: 1px solid black;
        margin: 0.5em auto;
    }

    .thd__details p span {
        font-size: 0.75rem;
    }
}

.thd__comment {
    width: fit-content;
    font-size: 1rem;
    text-align: center;
    margin: 0 auto;
}

.thd__comment span {
    font-size: 2rem;
    font-weight: 100;
}

.thd__contact-btn {
    display: block;
    color: white;
    width: fit-content;
    box-sizing: border-box;
    margin: 1em auto 0 auto;
    font-size: 1.5rem;
    text-decoration: none;
    background-color: rgb(65, 65, 65);
    padding: 1rem;
    border-radius: 1rem;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    transition: 0.2s;
}

.thd__contact-btn:hover {
    opacity: 0.9;
}

/* thirdエリアここまで */

/* keyframe等エリア */
.fade-in {
    opacity: 0;
}

.fade-in.active {
    animation: fadeIn 0.5s ease both;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(100px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.slide-r {
    opacity: 0;
}

.slide-r.active {
    animation: slideR 0.5s ease both;
}

@keyframes slideR {
    0% {
        opacity: 0;
        transform: translateX(-100px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.slide-l {
    opacity: 0;
}

.slide-l.active {
    animation: slideL 0.5s ease both;
}

@keyframes slideL {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.move-ball.active {
    animation:
        moveY 4s ease-in-out infinite,
        moveX 4s ease-in-out infinite;
    animation-delay: -1s, 0s;
}

@keyframes moveY {
    0% {
        top: calc(100% - 15px);
    }

    50% {
        top: calc(0% - 15px);
    }

    100% {
        top: calc(100% - 15px);
    }
}

@keyframes moveX {
    0% {
        left: calc(0% - 15px);
    }

    50% {
        left: calc(100% - 15px);
    }


    100% {
        left: calc(0% - 15px);
    }
}

/* keyframe等エリアここまで */